Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class ReportingSQLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.apache.openjpa.lib.jdbc.ReportingSQLException

All Implemented Interfaces:
  Serializable

    public class ReportingSQLException

extends SQLException

A `SQLException` that contains information about the `Statement` SQL that caused the exception.

Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Constructor Summary
`ReportingSQLException(SQLException sqle, Statement stmnt)`
`ReportingSQLException(SQLException sqle, Statement stmnt, String sql)`
`ReportingSQLException(SQLException sqle, String sql)`

Method Summary
`int` | `getErrorCode()` Returns the error code of the underlying `SQLException`.
`String` | `getSQLState()` Returns the SQL state of the underlying `SQLException`.
`Statement` | `getStatement()` Returns the `Statement` that caused the exception.

Methods inherited from class java.sql.SQLException
`getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReportingSQLException

    public ReportingSQLException(SQLException sqle,
                                 Statement stmnt,
                                 String sql)

### ReportingSQLException

    public ReportingSQLException(SQLException sqle,
                                 String sql)

### ReportingSQLException

    public ReportingSQLException(SQLException sqle,
                                 Statement stmnt)

Method Detail

### getSQLState

    public String getSQLState()

  Returns the SQL state of the underlying `SQLException`.

  Overrides:
    `getSQLState` in class `SQLException`

### getErrorCode

    public int getErrorCode()

  Returns the error code of the underlying `SQLException`.

  Overrides:
    `getErrorCode` in class `SQLException`

### getStatement

    public Statement getStatement()

  Returns the `Statement` that caused the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.